#include <iostream>

using namespace std;

int main()
{
    int t,j=0;
    cin>>t;
    string res[t];
    for(int i=0;i<t;i++)
    {
        int n,k;
        long long m;
        cin>>n>>m>>k;
        int kolicnik=n/k;
        int ostatak=n%k;
        int zbir1=(kolicnik*(kolicnik+1)/2)*(k-ostatak);
        int zbir2=((kolicnik+1)*(kolicnik+2)/2)*ostatak;
        if(m>=zbir1+zbir2)
        {
            res[j]="Tak";
        }
        else
        {
            res[j]="Nie";
        }
        j++;
    }
    for(int i=0;i<t;i++)
    {
        cout<<res[i]<<endl;
    }
    return 0;
}